version: '3'
services:
  django:
    build: ./sustaintrack
    container_name: sustaintrack_django
    command: sh -c "python3 manage.py migrate --noinput && python manage.py runserver 0.0.0.0:8000"
    restart: always
    volumes:
      - .:/app
    ports:
      - "8000:8000"
    environment:
      - DB_HOST=mysql
      - DB_PORT=3306

  mysql:
    image: mysql:8.0
    container_name: sustaintrack_mysql
    volumes:
      - mysql_data:/var/lib/mysql
    env_file:
      - ./.env.mysql
  
  react:
    build: ./sustaintrack_frontend
    container_name: sustaintrack_react
    command: sh -c "npm start"
    restart: always
    volumes:
      - .:/app
    ports:
      - "3000:3000"

volumes:
  mysql_data:
